"use strict";
// import * as core from './core';
Object.defineProperty(exports, "__esModule", { value: true });
class IDXDefinition {
    constructor(name, isUnique) {
        this.name = name;
        this.isUnique = isUnique;
        this.fields = [];
    }
    get id() {
        return IDXDefinition.genericIndexId(this.name, this.fields.map((field) => (field.desc ? `${field.name} DESC` : field.name)), this.isUnique);
    }
    static genericIndexId(name, fields, isUnique) {
        let res = name;
        res += '(';
        res += fields.join(',');
        res += ')';
        if (isUnique) {
            res += ':UNIQUE';
        }
        return res;
    }
}
exports.IDXDefinition = IDXDefinition;
//# sourceMappingURL=IDXDefinition.js.map